#ifndef PSKlient_H
#define PSKlient_H

#include "../LTSKlient.h"
#include <Array.h>
#include <Text.h>
#include <Zeit.h>

using namespace Network;
using namespace Framework;

struct FileGroupInfo
{
    int id;
    Text name;
    Text status;
    Text path;
    int version;
};

struct FileInfo
{
    int id;
    Text path;
    int version;
    Text time;
};

struct SystemInfo
{
    int id;
    Text name;
};

class PSKlient : public LTSKlient
{
public:
    // Konstruktor
    PSKlient( const char *ip, int port );
    // Destruktor
    ~PSKlient();
    // nicht constant
    bool getDateiListe( int *systemAnzahl, Array< int > *dateiAnzahl, RCArray< Text > *systeme, RCArray< RCArray< Text > > *dateien );
    bool updateFertig();
    bool updateStarten( int dateiGruppeId );
    bool getFileGroupInfoList( Array< FileGroupInfo * > *list );
    bool getSystemInfoList( Array< SystemInfo > *list );
    bool getFileInfoList( int system, int group, Array< FileInfo > *list );
    bool getFileVersion( char *path, int system, int group, int *version );
    bool updateFile( const char *pfad, char status, Zeit *zLetztenderung, int system, int gruppe );
    bool dateiGruppeUpdate( int gruppe );
    void abbruch();
};

#endif