#ifndef Programm_H
#define Programm_H

#include <Bildschirm.h>
#include <InitDatei.h>
#include <Fenster.h>
#include <Array.h>
#include <Knopf.h>
#include "..\Ressourcen\Ressourcen.h"
#include "Basic\Abschnitt.h"
#include <MausEreignis.h>

using namespace Framework;

class Programm : public virtual ReferenceCounter
{
private:
    Bildschirm *bildschirm;
    Schrift *schrift;
    Fenster *kFenster;
    Fenster *mFenster;
    Rahmen *auswahlRahmen;
    RCArray< Text > *name;
    RCArray< Knopf > *knopf;
    RCArray< Abschnitt > *abschnitte;
    int abschnittAnzahl;
    int sichtbar;

public:
    // Konstruktor
    Programm( Bildschirm *b, Schrift *s );
    // Destruktor
    ~Programm();
    // nicht constant
    bool addAbschnitt( const char *name, Abschnitt *abschnitt );
    bool removeAbschnitt( const char *name );
    bool renameAbschnitt( const char *name, const char *newName );
    bool abschnittAuswhlen( const char *name );
    bool abschnittMausEreignis( void *obj, MausEreignis me );
    // constant
    Text *getSichtbarAbschnittName() const;
    Text *zSichtbarAbschnittName() const;
};

// Ereignis
bool programmAbschnittME( void *p, void *obj, MausEreignis me );

#endif